Skip to navigation

DelAuthorizedAccountIP

View as Markdown

Removes the authorized IP4 or network from the white/black list.

Allowed roles: Owner, Admin, Developer.

Example request: Delete the 92.255.220.0/24 network from all the lists.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

authorized_ipstringOptional

The authorized IP4 or network to remove. Set to 'all' to remove all items. Required unless contains_ip is provided.

contains_ipstringOptional

Specify the parameter to remove the networks that contains the particular IP4. Required unless authorized_ip is provided.

allowedbooleanOptional
Whether to remove the network from the white list. Set false to remove the network from the black list. Omit the parameter to remove the network from all lists

Response

Successful response
resultintegerOptional
The removed network count